version: "3.3"

services:
  proxy:
    image: traefik:${TRAEFIK_TAG:-v2.6}
    ports:
      - "80:80"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./traefik.toml:/traefik.toml
    networks:
      - swarm
    deploy:
      labels:
        - "traefik.http.routers.api.rule=Host(`${TRAEFIK_URL:-traefik-local.midominio.com}`)"
        - "traefik.http.routers.api.service=api@internal"
        - "traefik.http.services.dashboard.loadbalancer.server.port=8080"
        - "traefik.http.routers.api.entrypoints=http"

networks:
  swarm:
    external: false
    driver: overlay



